#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:		kdevelop
Version: 25.04.0
Release:        %mkrel %{rel}
Summary:	Integrated Development Environment for C++/C
Group:		Development/Tools
License:	GPLv2
URL:		https://www.kdevelop.org/
Source0:	https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
ExclusiveArch:  aarch64 x86_64

## Upstream patches

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Qml)
BuildRequires:	cmake(Qt6Quick)
BuildRequires:	cmake(Qt6QuickWidgets)
BuildRequires:	cmake(Qt6WebEngineWidgets)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Help)
BuildRequires:	qttools6-assistant

BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6DocTools)
BuildRequires:	cmake(KF6IconThemes)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6ItemModels)
BuildRequires:	cmake(KF6ItemViews)
BuildRequires:	cmake(KF6JobWidgets)
BuildRequires:	cmake(KF6KCMUtils)
BuildRequires:	cmake(KF6KIO)
BuildRequires:	cmake(KF6NewStuff)
BuildRequires:	cmake(KF6NotifyConfig)
BuildRequires:	cmake(KF6Parts)
BuildRequires:	cmake(KF6Service)
BuildRequires:	cmake(KF6TextEditor)
BuildRequires:	cmake(KF6ThreadWeaver)
BuildRequires:	cmake(KF6XmlGui)
BuildRequires:	cmake(KF6WindowSystem)
BuildRequires:	cmake(KF6Crash)
BuildRequires:	cmake(KF6GuiAddons)
BuildRequires:	cmake(KF6Archive)
BuildRequires:	cmake(KF6Notifications)
BuildRequires:	cmake(KF6Sonnet)
BuildRequires:	cmake(KF6TextTemplate)
BuildRequires:	cmake(KF6TextWidgets)

BuildRequires:	cmake(KF6Purpose)
BuildRequires:	cmake(KSysGuard)
BuildRequires:	cmake(KDevelop-PG-Qt) >= 2.3
BuildRequires:	cmake(KompareDiff2)
BuildRequires:	cmake(Plasma)
BuildRequires:	cmake(KF6Runner)
# TODO: Okteta Qt6 port not yet complete, ETA 10/2024 or later.
#BuildRequires:	cmake(OktetaKastenControllers)

BuildRequires:	cppcheck
BuildRequires:	heaptrack
BuildRequires:	meson
BuildRequires:	astyle-devel
BuildRequires:	boost-devel
BuildRequires:	clang-devel
BuildRequires:	llvm-devel
BuildRequires:	subversion-devel
BuildRequires:	pkgconfig(shared-mime-info)

Requires:	cmake
Requires:	cppcheck
Requires:	git
Requires:	gdb
Requires:	heaptrack
Requires:	konsole
Requires:	kdevplatform >= %{version}
Requires:	%{name}-common >= %{version}

Provides:	kdevelop4 = 4:%{version}

Recommends:	bzr
Recommends:	meson
Recommends:	ninja

%description
The KDevelop Integrated Development Environment provides many features that
developers need as well as providing a unified interface to programs like gdb,
the C/C++ compiler, and make.

KDevelop manages or provides:
   * All development tools needed for C++ programming like Compiler, Linker,
     automake and autoconf
   * KAppWizard, which generates complete, ready-to-go sample applications
   * Classgenerator, for creating new classes and integrating them into the
     current project
   * File management for sources, headers, documentation etc. to be included in
     the project
   * The creation of User-Handbooks written with SGML and the automatic
     generation of HTML-output with the KDE look and feel
   * Automatic HTML-based API-documentation for your project's classes with
     cross-references to the used libraries; Internationalization support for
     your application, allowing translators to easily add their target language
     to a project
   * WYSIWYG (What you see is what you get) creation of user interfaces with a
     built-in dialog editor
   * Debugging your application by integrating KDbg
   * Editing of project-specific pixmaps with KIconEdit
   * The inclusion of any other program you need for development by adding it
     to the "Tools" menu according to your individual needs.

%files
%{_kf6_categoriesdir}/kdevelop.*categories
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf6_applicationsdir}/org.kde.%{name}*.desktop
%{_kf6_bindir}/%{name}*
%{_kf6_bindir}/kdev_includepathsconverter
%{_kf6_datadir}/kdev*/
%{_kf6_datadir}/mime/packages/kdev*.xml
%{_kf6_datadir}/plasma/plasmoids/org.kde.kdevelopsessions/
%{_kf6_datadir}/knsrcfiles/*.knsrc
%{_kf6_iconsdir}/hicolor/*/apps/%{name}.png
%{_kf6_iconsdir}/hicolor/*/apps/kdevgh.png
%{_kf6_iconsdir}/hicolor/*/apps/cmake.png
%{_kf6_iconsdir}/hicolor/*/apps/cppcheck.png
%{_kf6_iconsdir}/hicolor/*/apps/github-*.png
%{_kf6_iconsdir}/hicolor/*/apps/clazy.png
%{_kf6_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_kf6_iconsdir}/hicolor/scalable/apps/qtlogo.svg
%{_kf6_knotificationsdir}/%{name}.notifyrc
%{_kf6_libdir}/libKDevelopSessionsWatch.so
%{_kf6_libdir}/libKDevCMakeCommon.so.??
%{_kf6_libdir}/libKDevClangPrivate.so.??
%{_kf6_libdir}/libKDevCompileAnalyzerCommon.so.??
%{_kf6_plugindir}/krunner/kdevelopsessions.so
%{_kf6_plugindir}/ktexttemplate/kdev_filters.so
%{_kf6_qmldir}/org/kde/plasma/private/kdevelopsessions/
%{_kf6_metainfodir}/org.kde.kdevelopsessions.appdata.xml
# Exclude kdevplatform folders
%exclude %{_kf6_datadir}/kdevplatform/
%exclude %{_kf6_datadir}/kdevcodegen/
%exclude %{_kf6_datadir}/kdevcodeutils/

#------------------------------------------------

%package	common
Summary:	Translation and handbook files for KDevelop and KdevPlatform
Group:		System/Internationalization
BuildArch:	noarch
Provides:	kdevplatform-common = %{version}-%{release}

%description	common
This package contains Translation and handbook files for
KDevelop and KdevPlatform.

%files common -f %{name}.lang

#------------------------------------------------

%define kdevelop_devel %mklibname kdevelop -d

%package -n	%{kdevelop_devel}
Summary:	Development files for kdevelop
Group:		Development/KDE and Qt
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{kdevelop_devel}
Development files for kdevelop.

%files -n %{kdevelop_devel}
%{_includedir}/%{name}/
%{_kf6_libdir}/cmake/KDevelop/

#------------------------------------------------
### KdevPlatform ###

%define kdev_major  62
%define kdev_major2 6.2

%package -n	kdevplatform
Summary:        Integrated Development Environment for C++/C
Group:		Development/KDE and Qt
Requires:	kdevplatform-common >= %{version}

Provides:	kdevplatform4 = 4:%{version}-%{release}

Conflicts:	kdevelop < 24.05.1-2

%description -n	kdevplatform
KdevPlatform module needed by Kdevelop.

%files -n kdevplatform
%{_kf6_categoriesdir}/kdevplatform.*categories
%{_kf6_bindir}/kdev_dbus_socket_transformer
%{_kf6_bindir}/kdev_format_source
%{_kf6_bindir}/kdevplatform_shell_environment.sh
%{_kf6_datadir}/kdevplatform/
%{_kf6_datadir}/kdevcodegen/
%{_kf6_datadir}/kdevcodeutils/
%{_kf6_iconsdir}/hicolor/*/apps/bazaar.png
%{_kf6_iconsdir}/hicolor/*/actions/breakpoint.png
%{_kf6_iconsdir}/hicolor/*/apps/subversion.png
%{_kf6_iconsdir}/hicolor/scalable/actions/breakpoint.svg
%{_kf6_iconsdir}/hicolor/scalable/apps/git.svg
%{_kf6_iconsdir}/hicolor/scalable/apps/subversion.svg
%dir %{_qt6_plugindir}/kdevplatform
%{_qt6_plugindir}/kdevplatform/*

#------------------------------------------------

%define kdevplatformserialization_major %{kdev_major}
%define kdevplatformserialization_major2 %{kdev_major2}
%define libkdevplatformserialization %mklibname kdevplatformserialization %{kdevplatformserialization_major}

%package -n	%{libkdevplatformserialization}
Summary:	KdevPlatform Serialization library
Group:		System/Libraries

%description -n	%{libkdevplatformserialization}
KdevPlatform Serialization library.

%files -n %{libkdevplatformserialization}
%{_kf6_libdir}/libKDevPlatformSerialization.so.%{kdevplatformserialization_major}
%{_kf6_libdir}/libKDevPlatformSerialization.so.%{kdevplatformserialization_major2}*

#------------------------------------------------

%define kdevplatforminterfaces_major %{kdev_major}
%define kdevplatforminterfaces_major2 %{kdev_major2}
%define libkdevplatforminterfaces %mklibname kdevplatforminterfaces %{kdevplatforminterfaces_major}

%package -n	%{libkdevplatforminterfaces}
Summary:	KdevPlatform Interfaces library
Group:		System/Libraries

%description -n	%{libkdevplatforminterfaces}
KdevPlatform Interfaces library.

%files -n %{libkdevplatforminterfaces}
%{_kf6_libdir}/libKDevPlatformInterfaces.so.%{kdevplatforminterfaces_major}
%{_kf6_libdir}/libKDevPlatformInterfaces.so.%{kdevplatforminterfaces_major2}*

#------------------------------------------------

%define kdevplatformlanguage_major %{kdev_major}
%define kdevplatformlanguage_major2 %{kdev_major2}
%define libkdevplatformlanguage %mklibname kdevplatformlanguage %{kdevplatformlanguage_major}

%package -n	%{libkdevplatformlanguage}
Summary:	KdevPlatform Language library
Group:		System/Libraries

%description -n	%{libkdevplatformlanguage}
KdevPlatform Language library.

%files -n %{libkdevplatformlanguage}
%{_kf6_libdir}/libKDevPlatformLanguage.so.%{kdevplatformlanguage_major}
%{_kf6_libdir}/libKDevPlatformLanguage.so.%{kdevplatformlanguage_major2}*

#------------------------------------------------

%define kdevplatformoutputview_major %{kdev_major}
%define kdevplatformoutputview_major2 %{kdev_major2}
%define libkdevplatformoutputview %mklibname kdevplatformoutputview %{kdevplatformoutputview_major}

%package -n	%{libkdevplatformoutputview}
Summary:	KdevPlatform Output View library
Group:		System/Libraries

%description -n	%{libkdevplatformoutputview}
KdevPlatform Output View library.

%files -n %{libkdevplatformoutputview}
%{_kf6_libdir}/libKDevPlatformOutputView.so.%{kdevplatformoutputview_major}
%{_kf6_libdir}/libKDevPlatformOutputView.so.%{kdevplatformoutputview_major2}*

#------------------------------------------------

%define kdevplatformproject_major %{kdev_major}
%define kdevplatformproject_major2 %{kdev_major2}
%define libkdevplatformproject %mklibname kdevplatformproject %{kdevplatformproject_major}

%package -n	%{libkdevplatformproject}
Summary:	KdevPlatform Project library
Group:		System/Libraries

%description -n	%{libkdevplatformproject}
KdevPlatform Project library.

%files -n %{libkdevplatformproject}
%{_kf6_libdir}/libKDevPlatformProject.so.%{kdevplatformproject_major}
%{_kf6_libdir}/libKDevPlatformProject.so.%{kdevplatformproject_major2}*

#------------------------------------------------

%define kdevplatformshell_major %{kdev_major}
%define kdevplatformshell_major2 %{kdev_major2}
%define libkdevplatformshell %mklibname kdevplatformshell %{kdevplatformshell_major}

%package -n	%{libkdevplatformshell}
Summary:	KdevPlatform Shell library
Group:		System/Libraries

%description -n	%{libkdevplatformshell}
KdevPlatform Shell library.

%files -n %{libkdevplatformshell}
%{_kf6_libdir}/libKDevPlatformShell.so.%{kdevplatformshell_major}
%{_kf6_libdir}/libKDevPlatformShell.so.%{kdevplatformshell_major2}*

#------------------------------------------------

%define kdevplatformutil_major %{kdev_major}
%define kdevplatformutil_major2 %{kdev_major2}
%define libkdevplatformutil %mklibname kdevplatformutil %{kdevplatformutil_major}

%package -n	%{libkdevplatformutil}
Summary:	KdevPlatform Util library
Group:		System/Libraries

%description -n %{libkdevplatformutil}
KdevPlatform Util library.

%files -n %{libkdevplatformutil}
%{_kf6_libdir}/libKDevPlatformUtil.so.%{kdevplatformutil_major}
%{_kf6_libdir}/libKDevPlatformUtil.so.%{kdevplatformutil_major2}*

#------------------------------------------------

%define kdevplatformvcs_major %{kdev_major}
%define kdevplatformvcs_major2 %{kdev_major2}
%define libkdevplatformvcs %mklibname kdevplatformvcs %{kdevplatformvcs_major}

%package -n	%{libkdevplatformvcs}
Summary:	KdevPlatform Vcs library
Group:		System/Libraries

%description -n	%{libkdevplatformvcs}
KdevPlatform library.

%files -n %{libkdevplatformvcs}
%{_kf6_libdir}/libKDevPlatformVcs.so.%{kdevplatformvcs_major}
%{_kf6_libdir}/libKDevPlatformVcs.so.%{kdevplatformvcs_major2}*

#------------------------------------------------

%define kdevplatformsublime_major %{kdev_major}
%define kdevplatformsublime_major2 %{kdev_major2}
%define libkdevplatformsublime %mklibname kdevplatformsublime %{kdevplatformsublime_major}

%package -n	%{libkdevplatformsublime}
Summary:	KdevPlatform Sublime library
Group:		System/Libraries

%description -n	%{libkdevplatformsublime}
KdevPlatform Sublime library.

%files -n %{libkdevplatformsublime}
%{_kf6_libdir}/libKDevPlatformSublime.so.%{kdevplatformsublime_major}
%{_kf6_libdir}/libKDevPlatformSublime.so.%{kdevplatformsublime_major2}*

#------------------------------------------------

%define kdevplatformdebugger_major %{kdev_major}
%define kdevplatformdebugger_major2 %{kdev_major2}
%define libkdevplatformdebugger %mklibname kdevplatformdebugger %{kdevplatformdebugger_major}

%package -n	%{libkdevplatformdebugger}
Summary:	KdevPlatform Debugger library
Group:		System/Libraries

%description -n	%{libkdevplatformdebugger}
KdevPlatform Debugger library.

%files -n %{libkdevplatformdebugger}
%{_kf6_libdir}/libKDevPlatformDebugger.so.%{kdevplatformdebugger_major}
%{_kf6_libdir}/libKDevPlatformDebugger.so.%{kdevplatformdebugger_major2}*

#------------------------------------------------

%define kdevplatformdocumentation_major %{kdev_major}
%define kdevplatformdocumentation_major2 %{kdev_major2}
%define libkdevplatformdocumentation %mklibname kdevplatformdocumentation %{kdevplatformdocumentation_major}

%package -n	%{libkdevplatformdocumentation}
Summary:	KdevPlatform Documentation library
Group:		System/Libraries

%description -n	%{libkdevplatformdocumentation}
KdevPlatform Documentation library.

%files -n %{libkdevplatformdocumentation}
%{_kf6_libdir}/libKDevPlatformDocumentation.so.%{kdevplatformdocumentation_major}
%{_kf6_libdir}/libKDevPlatformDocumentation.so.%{kdevplatformdocumentation_major2}*

#------------------------------------------------

%define kdevplatform_devel %mklibname kdevplatform -d

%package -n	%{kdevplatform_devel}
Summary:	Development files for kdevplatform
Group:		Development/KDE and Qt
Requires:	%{libkdevplatformserialization} = %{version}-%{release}
Requires:	%{libkdevplatforminterfaces} = %{version}-%{release}
Requires:	%{libkdevplatformlanguage} = %{version}-%{release}
Requires:	%{libkdevplatformoutputview} = %{version}-%{release}
Requires:	%{libkdevplatformproject} = %{version}-%{release}
Requires:	%{libkdevplatformshell} = %{version}-%{release}
Requires:	%{libkdevplatformutil} = %{version}-%{release}
Requires:	%{libkdevplatformvcs} = %{version}-%{release}
Requires:	%{libkdevplatformsublime} = %{version}-%{release}
Requires:	%{libkdevplatformdebugger} = %{version}-%{release}
Requires:	%{libkdevplatformdocumentation} = %{version}-%{release}
Provides:	kdevplatform-devel = %{version}-%{release}
Provides:	libkdevplatform-devel = %{version}-%{release}

%description -n	%{kdevplatform_devel}
Development files for kdevplatform.

%files -n %{kdevplatform_devel}
%{_kf6_libdir}/cmake/KDevPlatform/
%{_kf6_libdir}/libKDevPlatform*.so
%{_includedir}/kdevplatform/

### End of KdevPlatform ###
#-----------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %name --all-name --with-html

# drop zsh, using bash as default
rm -f %{buildroot}%{_kf6_datadir}/kdevplatform/shellutils/.zshrc


%changelog
* Thu Apr 17 2025 daviddavid <daviddavid> 25.04.0-1.mga10
+ Revision: 2175993
- New version 25.04.0

* Sat Mar 29 2025 daviddavid <daviddavid> 25.03.90-1.mga10
+ Revision: 2171131
- New version 25.03.90

* Thu Mar 13 2025 daviddavid <daviddavid> 24.12.3-1.mga10
+ Revision: 2163473
- New version 24.12.3

* Tue Feb 11 2025 daviddavid <daviddavid> 24.12.2-1.mga10
+ Revision: 2147141
- New version 24.12.2

* Thu Jan 09 2025 daviddavid <daviddavid> 24.12.1-1.mga10
+ Revision: 2136542
- New version 24.12.1

* Thu Dec 12 2024 daviddavid <daviddavid> 24.12.0-1.mga10
+ Revision: 2123782
- New version 24.12.0

* Sun Nov 17 2024 daviddavid <daviddavid> 24.11.80-1.mga10
+ Revision: 2116795
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 24.08.3-1.mga10
+ Revision: 2114030
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 24.08.2-1.mga10
+ Revision: 2105530
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 24.08.1-1.mga10
+ Revision: 2097385
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087588
- New version 24.08.0

* Sun Aug 11 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085725
- New version 24.07.90
- switch to Qt6/KF6

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073192
- New version 24.05.1

* Sun Jun 09 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2071512
- New version 24.05.0

* Fri Apr 19 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2059212
- New version 24.02.2
- New version 24.02.0
- New version 24.01.95
- New version 24.01.90
- New version 24.01.85
- New version 24.01.75

* Sun Sep 24 2023 neoclust <neoclust> 23.08.1-1.mga10
+ Revision: 1990088
- New version 23.08.1

* Fri May 26 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1958541
- New version 23.04.1

* Sat May 06 2023 daviddavid <daviddavid> 22.12.3-3.mga9
+ Revision: 1955987
- rebuild for new grantlee 5.3.1

* Thu Mar 23 2023 daviddavid <daviddavid> 22.12.3-2.mga9
+ Revision: 1950169
- drop no more needed by the project Qt5WebKit build dependency

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946464
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941758
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1922877
- New version 22.12.0

* Tue Nov 29 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1912683
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1905233
- New version 22.08.3
+ tv <tv>
- Rebuild for llvm-15

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1886744
- New version 22.08.1

* Thu Sep 01 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1883126
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1873040
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 22.04.0-1.mga9
+ Revision: 1854374
- New version 22.04.0

* Sat Apr 02 2022 tv <tv> 21.12.0-3.mga9
+ Revision: 1840363
- Rebuild for llvm-14
- Rebuild for llvm-14

* Thu Dec 30 2021 neoclust <neoclust> 21.12.0-1.mga9
+ Revision: 1765417
- New version 21.12.0

* Thu Oct 21 2021 tv <tv> 5.6.2-5.mga9
+ Revision: 1752509
- Rebuild for llvm 13.0

* Fri Apr 23 2021 daviddavid <daviddavid> 5.6.2-4.mga9
+ Revision: 1718483
- add minimal default dependencies on konsole and qtxmlpatterns5 (mga#28794)

* Tue Mar 02 2021 neoclust <neoclust> 5.6.2-3.mga9
+ Revision: 1695990
- Rebuild against new clang
+ tv <tv>
- rebuild for llvm/clang-12

* Sat Feb 27 2021 daviddavid <daviddavid> 5.6.2-1.mga9
+ Revision: 1692585
- new version: 5.6.2

* Thu Dec 17 2020 umeabot <umeabot> 5.6.1-2.mga8
+ Revision: 1658681
- Rebuild for new Qt5

* Wed Dec 09 2020 daviddavid <daviddavid> 5.6.1-1.mga8
+ Revision: 1654944
- new version: 5.6.1

* Thu Nov 26 2020 tv <tv> 5.6.0-2.mga8
+ Revision: 1649614
- rebuild for llvm/clang 11.0

* Thu Sep 17 2020 daviddavid <daviddavid> 5.6.0-1.mga8
+ Revision: 1627329
- new version: 5.6.0

* Fri Jun 19 2020 daviddavid <daviddavid> 5.5.2-1.mga8
+ Revision: 1597010
- new version: 5.5.2

* Thu May 28 2020 daviddavid <daviddavid> 5.5.1-2.mga8
+ Revision: 1588469
- switch appdata file to kf5_metainfo dir

* Wed May 06 2020 daviddavid <daviddavid> 5.5.1-1.mga8
+ Revision: 1580967
- new version: 5.5.1
- remove merged upstream patch

* Sun Mar 22 2020 tv <tv> 5.5.0-4.mga8
+ Revision: 1558773
- rebuild with llvm 10

* Wed Feb 19 2020 umeabot <umeabot> 5.5.0-3.mga8
+ Revision: 1542857
- Mageia 8 Mass Rebuild
+ daviddavid <daviddavid>
- rebuild for new grantlee 5.2

* Mon Feb 17 2020 daviddavid <daviddavid> 5.5.0-2.mga8
+ Revision: 1536939
- backport upstream patch to don't crash when we fail to find a screen
  for the active tooltip

* Tue Feb 11 2020 daviddavid <daviddavid> 5.5.0-1.mga8
+ Revision: 1490261
- new version: 5.5.0

* Tue Jan 07 2020 daviddavid <daviddavid> 5.4.6-1.mga8
+ Revision: 1477109
- new version: 5.4.6
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 daviddavid <daviddavid> 5.4.5-1.mga8
+ Revision: 1466143
- new version: 5.4.5

* Wed Nov 06 2019 daviddavid <daviddavid> 5.4.4-1.mga8
+ Revision: 1458482
- new version: 5.4.4

* Tue Oct 22 2019 zezinho <zezinho> 5.4.3-1.mga8
+ Revision: 1455182
- new version: 5.4.3

* Tue Sep 17 2019 tv <tv> 5.4.2-2.mga8
+ Revision: 1443068
- rebuild for llvm-9.0

* Tue Sep 03 2019 daviddavid <daviddavid> 5.4.2-1.mga8
+ Revision: 1436606
- new version: 5.4.2

* Tue Aug 20 2019 daviddavid <daviddavid> 5.4.1-1.mga8
+ Revision: 1430424
- new version: 5.4.1

* Mon Jul 22 2019 daviddavid <daviddavid> 5.3.3-1.mga8
+ Revision: 1423383
- new version: 5.3.3

* Mon Apr 15 2019 daviddavid <daviddavid> 5.3.2-4.mga7
+ Revision: 1390770
- rebuild for new llvm/clang 8.0

* Sat Mar 30 2019 umeabot <umeabot> 5.3.2-3.mga7
+ Revision: 1382274
- Qt5 Rebuild

* Tue Mar 12 2019 daviddavid <daviddavid> 5.3.2-2.mga7
+ Revision: 1374648
- rebuild for new okteta 0.26.0

* Sun Mar 10 2019 daviddavid <daviddavid> 5.3.2-1.mga7
+ Revision: 1373525
- new version: 5.3.2

* Fri Dec 07 2018 daviddavid <daviddavid> 5.3.1-1.mga7
+ Revision: 1338812
- new version: 5.3.1

* Wed Oct 31 2018 daviddavid <daviddavid> 5.3.0-1.mga7
+ Revision: 1326823
- new version: 5.3.0

* Fri Oct 12 2018 daviddavid <daviddavid> 5.2.4-5.mga7
+ Revision: 1319773
- obsoletes properly old kdevplatform

* Thu Sep 27 2018 daviddavid <daviddavid> 5.2.4-4.mga7
+ Revision: 1308478
- drop zsh, using bash as default

* Thu Sep 27 2018 tv <tv> 5.2.4-3.mga7
+ Revision: 1308125
- rebuild for llvm 7.0

* Sun Sep 23 2018 umeabot <umeabot> 5.2.4-2.mga7
+ Revision: 1298502
- Mageia 7 Mass Rebuild

* Tue Aug 21 2018 daviddavid <daviddavid> 5.2.4-1.mga7
+ Revision: 1253218
- new version: 5.2.4

* Mon May 21 2018 daviddavid <daviddavid> 5.2.3-1.mga7
+ Revision: 1231005
- new version: 5.2.3

* Wed Apr 11 2018 tv <tv> 5.2.1-3.mga7
+ Revision: 1217632
- rebuild with llvm/clang 6.0

* Sun Feb 04 2018 daviddavid <daviddavid> 5.2.1-2.mga7
+ Revision: 1198941
- filter out bogus auto-req

* Sun Feb 04 2018 daviddavid <daviddavid> 5.2.1-1.mga7
+ Revision: 1198920
- new version: 5.2.1
- KDevplatform is now merged to KDevelop
- split out in a separate subpackage all translation and
  handbook files from KDevelop and KDevplatform

* Tue Nov 21 2017 tv <tv> 5.1.1-3.mga7
+ Revision: 1178120
- rebuild for llvm/clang 5

* Thu Sep 21 2017 tv <tv> 5.1.1-2.mga7
+ Revision: 1156936
- rebuild with llvm-4.0 in core/release

* Sat Jun 03 2017 akien <akien> 5.1.1-1.mga7
+ Revision: 1106374
- Version 5.1.1

* Thu May 25 2017 neoclust <neoclust> 5.1.0-2.mga6
+ Revision: 1104498
- Rebuild for arm

* Wed May 24 2017 neoclust <neoclust> 5.1.0-1.mga6
+ Revision: 1104468
- New version 5.1.0
- New version 5.0.4

* Sat Jan 07 2017 tmb <tmb> 5.0.3-2.mga6
+ Revision: 1080481
- rebuild with new llvm

* Fri Dec 30 2016 neoclust <neoclust> 5.0.3-1.mga6
+ Revision: 1078735
- New version 5.0.3

* Wed Sep 21 2016 daviddavid <daviddavid> 5.0.1-1.mga6
+ Revision: 1054863
- new version: 5.0.1

* Fri Aug 26 2016 daviddavid <daviddavid> 5.0.0-1.mga6
+ Revision: 1048976
- new version: 5.0.0 final

* Mon Mar 14 2016 tv <tv> 4.90.91-4.mga6
+ Revision: 990568
- rebuild for new clang

* Mon Feb 15 2016 daviddavid <daviddavid> 4.90.91-3.mga6
+ Revision: 960929
- kdevelop-devel requires kdevelop main package
- fix license

* Sat Jan 30 2016 dlucio <dlucio> 4.90.91-2.mga6
+ Revision: 929229
- fix some conditions for kdevplatform
- file list fixed
+ fwang <fwang>
- 4.90.91

* Wed Jan 06 2016 tv <tv> 4.90.90-4.mga6
+ Revision: 920148
- rebuild for clang 3.7.1

* Tue Dec 01 2015 zezinho <zezinho> 4.90.90-3.mga6
+ Revision: 907541
- add recommends for bzr and ninja as there are bundled plugins for them
+ fwang <fwang>
- add obsoletes

* Thu Oct 29 2015 fwang <fwang> 4.90.90-1.mga6
+ Revision: 896343
- add more br
- update file list
- add more br
- update spec file
+ neoclust <neoclust>
- Move to kdevelop name

* Tue Feb 10 2015 lmenut <lmenut> 4:4.7.1-1.mga5
+ Revision: 814626
- Update to 4.7.1

* Wed Oct 15 2014 umeabot <umeabot> 4:4.7.0-3.mga5
+ Revision: 745595
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4:4.7.0-2.mga5
+ Revision: 681012
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Wed Aug 27 2014 fwang <fwang> 4:4.7.0-1.mga5
+ Revision: 668566
- 4.7.0

* Sat Aug 23 2014 fwang <fwang> 4:4.6.90-1.mga5
+ Revision: 666759
- update file list
- 4.6.90

* Tue Dec 10 2013 colin <colin> 4:4.6.0-1.mga4
+ Revision: 556197
- New version: 4.6.0

* Mon Nov 18 2013 fwang <fwang> 4:4.5.2-1.mga4
+ Revision: 551711
- new version 4.5.2

* Sat Oct 19 2013 umeabot <umeabot> 4:4.5.1-4.mga4
+ Revision: 530147
- Mageia 4 Mass Rebuild

* Fri Jul 19 2013 fwang <fwang> 4:4.5.1-3.mga4
+ Revision: 456320
- update br

* Sun Jun 30 2013 fwang <fwang> 4:4.5.1-2.mga4
+ Revision: 448578
- build with gold to make it faster

* Fri May 31 2013 fwang <fwang> 4:4.5.1-1.mga4
+ Revision: 433523
- new version 1.5.1

* Fri May 24 2013 fwang <fwang> 4:4.5.0-1.mga4
+ Revision: 425750
- update file list
- new version 3.5.0

* Sat Jan 12 2013 umeabot <umeabot> 4:4.4.1-2.mga3
+ Revision: 356054
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 4:4.4.1-1.mga3
+ Revision: 313226
- new version 4.4.1
- update rpm group

* Tue Oct 16 2012 fwang <fwang> 4:4.4.0-1.mga3
+ Revision: 307076
- new version 4.4.0

* Tue Sep 11 2012 fwang <fwang> 4:4.3.90-1.mga3
+ Revision: 292128
- new version 4.3.90

* Sat Aug 04 2012 fwang <fwang> 4:4.3.80-2.mga3
+ Revision: 278460
- update file list
- update fil elist

* Sat Aug 04 2012 fwang <fwang> 4:4.3.80-1.mga3
+ Revision: 278398
- update file list
- new version 4.3.80

* Sun Jul 08 2012 fwang <fwang> 4:4.3.1-2.mga3
+ Revision: 268811
- fix build with latest okteta

* Sun Apr 15 2012 fwang <fwang> 4:4.3.1-1.mga2
+ Revision: 230833
- new version 4.3.1

* Mon Mar 12 2012 fwang <fwang> 4:4.3.0-1.mga2
+ Revision: 222972
- new version 4.3.0 final

* Sat Feb 25 2012 fwang <fwang> 4:4.2.90-1.mga2
+ Revision: 214284
- new version 4.2.90

* Tue Feb 14 2012 fwang <fwang> 4:4.2.82-1.mga2
+ Revision: 208696
- new version 4.2.82

* Mon Jan 23 2012 fwang <fwang> 4:4.2.81-1.mga2
+ Revision: 200318
- update file list
- update file list
- drop merged patch
- new version 4.2.81

* Thu Dec 22 2011 fwang <fwang> 4:4.2.3-2.mga2
+ Revision: 185802
- update patch
- real patch
- fix typo
- add upstream patch to find okteta
- rebuild for new okteta

* Sat Jun 25 2011 mikala <mikala> 4:4.2.3-1.mga2
+ Revision: 113647
- Update tarball to 4.2.3 ( http://kdevelop.org/kdevelop/kdevelop-423-released )

* Tue Apr 12 2011 mikala <mikala> 4:4.2.2-1.mga1
+ Revision: 83949
- Remove most of the requires (suggested by Kicer86)
- Remove old obsoletes

* Wed Apr 06 2011 mikala <mikala> 4:4.2.2-0.mga1
+ Revision: 81402
- Update tarball to 4.2.2

* Mon Mar 07 2011 mikala <mikala> 4:4.2.0-2.mga1
+ Revision: 66147
- Remove BuildRoot
- Drop old conflict
- imported package kdevelop4

